package com.artfess.yhxt.check.regular.manager;

import org.apache.poi.hssf.usermodel.HSSFWorkbook;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @author zhx
 * @create 2022/2/23
 */
public interface CheckExportManager {
    /**
     * 导出桥梁经常检查列表
     * @param ids
     * @param response
     * @return
     */
    HSSFWorkbook exportBridgeOftenList(String ids, HttpServletResponse response);
    //导出隧道经常检查列表
    HSSFWorkbook exportTunnelOftenList(String ids, HttpServletResponse response);
    //导出涵洞经常检查列表
    HSSFWorkbook exportCulvertOftenList(String ids, HttpServletResponse response);
    //导出边坡经常检查列表
    HSSFWorkbook exportSideSlopeOftenList(String ids, HttpServletResponse response);
    //导出桥梁定期检查列表
    HSSFWorkbook exportBridgeRegularList(String ids, HttpServletResponse response);
    //导出隧道定期检查列表
    HSSFWorkbook exportTunnelRegularList(String ids, HttpServletResponse response);
    //导出涵洞定期检查列表
    HSSFWorkbook exportCulvertRegularList(String ids, HttpServletResponse response);
    //导出边坡定期检查列表
    HSSFWorkbook exportSideSlopeRegularList(String ids, HttpServletResponse response);


}
